/*
	File:		BuildISO.h
	
	Description:collect all the constants and prototypes specific to building 
				this bizzare little puppy.

	Author:		BB

	Copyright: 	Copyright:  1990-1999 by Apple Computer, Inc.
				all rights reserved.
	
	Disclaimer:	You may incorporate this sample code into your applications without
				restriction, though the sample code has been provided "AS IS" and the
				responsibility for its operation is 100% yours.  However, what you are
				not permitted to do is to redistribute the source as "DSC Sample Code"
				after having made changes. If you're going to re-distribute the source,
				we require that you make it clear in the source that the code was
				descended from Apple Sample Code, but that you've made changes.
	
	Change History (most recent first):
				6/24/99	Updated for Metrowerks Codewarror Pro 2.1(KG)

*/
#define	LSBPATH		0x00000012L		/* location of the lsb path table */
#define	MSBPATH		0x00000013L		/* location of the msb path table */

#define	DIRECTORY	0x00000014L		/* location of directory table */
#define PATHTBLSIZE	0x0000000AL		/* size of each of the path tables */

#define DATASTART	0x00000015L		/* where the first data file starts */

	/* round up to the next CDBLKSIZE boundary */
#define ROUND_UP(x)	((x) + CDBLKSIZE -1) & ~(CDBLKSIZE-1)
//Prototypes
OSErr CreatePVD(short referenceNumber);
OSErr CreateVDT(short referenceNumber);
OSErr CreatePathTable(short referenceNumber);
void CreateDirRcd(DirRcd *d, StringPtr name, long start, long length, short flags, OSType fType, OSType fCreator, short finderFlags);
void AddOldAppleExtensions(DirRcd *dirRcd, OSType fType, OSType fCreator, short flags);
void AddAppleExtensions(DirRcd *dirRcd, OSType fType, OSType fCreator, short flags);
void CopyDirRcdToBuffer(DirRcd *d, char *b);
OSErr CopyRsrcFork(short referenceNumber, StringPtr name, short vRefNum, long start, long length);
OSErr CopyDataFork(short referenceNumber, StringPtr name, short vRefNum, long start, long length);
void CreateFiles(short referenceNumber);

